import {
  createSensor,
  createData,
  getSensor,
  getData,
  lastDate,
  valMoy,
  TYPE
} from "../src";
import { version } from ".";
import { data } from "../resources/sensors_data";

describe("Sensor model tests", () => {
  describe("Dummy tests", () => {
    test("data is loaded with 3 elements", () => {
      expect(data.length).toBe(3);
    });
    test("version number from the model", () => {
      expect(version()).toBe("1.0.0");
    });
  });
  /* TODO: Écrire ici la suite de tests pour le modèle objet.*/
  //
  describe("Test on sensor ", () => {

    test("get data", () => {
      expect(getData()[1].values).toEqual(data[1].data.values);
    });
    test("get data", () => {
      expect(getData()[0].values).toEqual(data[0].data.values);
    });
    test("get data", () => {
      expect(getData()[2].values).toEqual(data[2].data.values);
    });
    var sensor = new createSensor();
    sensor.id = 0;
    test("createSensor", () => {
      expect(sensor.id).toBe(0);
    });
    var dat = new createData();
    dat.values = [0,1];
    test("createData", () => {
      expect(dat.values[0]).toBe(0);
    });
    test("valMoy", () => {
      expect(valMoy(0)).toBe(23.11111111111111);
    });
    test("valMoy", () => {
      expect(valMoy(1)).toBe(0);
    });
    test("last date", () => {
      expect(lastDate(0)).toEqual(
        data[0].data.labels[data[0].data.labels.length-1]
      );
    });
    test("last date", () => {
      expect(lastDate(1)).toEqual(
        "Pas de date"
      );
    });
    test("type", () => {
      expect(getSensor()[0].type).toEqual(TYPE.TEMPERATURE);
    });
  });
});
